Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590425 - [PATCH] debuginfo-install without arguments crashes
[PATCH] debuginfo-install without arguments crashes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
Karel Srot
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 09:51 EDT by Lubomir Rintel
Modified: 2014-01-21 01:17 EST (History)
2 users (show)

See Also:
Fixed In Version: yum-3.2.27-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:00:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (9.91 KB, application/octet-stream)
2010-05-09 09:51 EDT, Lubomir Rintel
no flags Details
Proposed fix (1.01 KB, text/plain)
2010-05-09 09:52 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2010-05-09 09:51:12 EDT
Created attachment 412641 [details]
Proposed fix

Description of problem:

[liveuser@localhost ~]$ debuginfo-install 
Loaded plugins: refresh-packagekit, rhnplugin
*Note* Red Hat Network repositories are not listed below. You must run this command as root to access RHN repositories.
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 154, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 48, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 52, in main
    opts = self.doUtilConfigSetup()
  File "/usr/share/yum-cli/utils.py", line 206, in doUtilConfigSetup
    self.basecmd = self.cmds[0] # our base command
IndexError: list index out of range

Version-Release number of selected component (if applicable):

yum-3.2.25-12.el6.noarch
Comment 1 Lubomir Rintel 2010-05-09 09:52:31 EDT
Created attachment 412642 [details]
Proposed fix

Whoops, attached wrong file.
Comment 3 RHEL Product and Program Management 2010-05-09 11:01:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 James Antill 2010-05-10 10:03:43 EDT
Can you try with the post beta1 versions of:

yum-3.2.27-7.el6
yum-utils-1.1.26-7.el6
Comment 5 Lubomir Rintel 2010-05-10 10:27:28 EDT
James, I would love to, but I do not know where to download those packages.
Comment 6 James Antill 2010-05-20 15:43:22 EDT
Dito. this one
Comment 11 releng-rhel@redhat.com 2010-11-10 17:00:43 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.